// file: spmtch_compare_0.cc
//

// isip include files
//
#include "subpath_match.h"
#include "subpath_match_constants.h"

// method: greater_than_cc
//
// arguments:
//  Subpath_match* match: (input) Subpath object to compare to
//
// return: a logical_1 flag indicating comparison match
//
logical_1 Subpath_match::greater_than_cc(Subpath_match* match_a) {
  
  // compare info about the two matches
  //
  if (start_time_d > match_a->start_time_d) {
    return ISIP_TRUE;
  }
  else {
    return ISIP_FALSE;
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
